## sonic-snap-1.7.tar.gz

=== Makefile ===
#USE_FAME=1
USE_FAME=0

ifeq ($(USE_FAME),1)
C_FAME=-DFAME -I$(HOME)/include
L_FAME=-lfame -L$(HOME)/lib
else
C_FAME=
L_FAME=
endif


CFLAGS=`fltk-config --cflags` $(C_FAME)
LFLAGS=`fltk-config --ldflags` $(L_FAME) -lrt


SRC=\
sonixcam.cxx \
controls.cxx \
analyze.cxx \
sonix_compress.c \
bayer.c 

all: sonic-snap sonic-snap-gui


sonic-snap: $(SRC) sonic-snap.cxx sonixcam.h controls.h sonix_compress.h
	g++-4.0 -O3 -o sonic-snap $(SRC) sonic-snap.cxx


sonic-snap-gui: $(SRC) sonic-snap-gui.cxx sonixcam.h controls.h sonix_compress.h videoencoder.h
	g++-4.0 -O3 $(CFLAGS) -o sonic-snap-gui $(SRC) sonic-snap-gui.cxx $(LFLAGS) 

clean:
	rm -f sonic-snap sonic-snap-gui

install: sonic-snap sonic-snap-gui
	install sonic-snap $(DESTDIR)/usr/bin/sonic-snap
	install sonic-snap-gui $(DESTDIR)/usr/bin/sonic-snap-gui

deb: clean
	fakeroot dpkg-buildpackage

=== debian/changelog ===
sonic-snap (1.7-1) unstable; urgency=low

  * Improved normalization: don't act on sporadic isolated extremes.
  * Investigated assertion failure: caused by bugged videodev2.h
  * Made the failure of VIDIOC_QUERYCTRL non-fatal (req'd for Uwe's webcam).

 -- Bram Stolk <bram@sara.nl>  Mon, 28 Mar 2005 17:48:36 +0200

sonic-snap (1.5-1) unstable; urgency=low

  * Released as debian package
  * Wrote UNIX manual page

 -- Bram Stolk <bram@sara.nl>  Mon, 28 Mar 2005 17:48:36 +0200

=== debian/control ===
Source: sonic-snap
Section: graphics
Priority: optional
Maintainer: Bram Stolk <bram@sara.nl>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: sonic-snap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: webcam utility for sn9c102 based cameras
 v4l2 application for sn9c102 cameras. Requires the kernel module
 for the sn9c102 device. Features histogram analysis and mpeg
 encoding. Comes with commandline version and gui version.
